package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.widget.BaseAdapter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface UnpackConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitle(String homeTitle);
		void setMoreOptionStr(String moreStr);
		void finishPage(); 
		void readQRCode();
		void setAdapter(BaseAdapter adapter);
		void vibrate(int duration);
	}

	interface Presenter extends BasePresenter {
		void onActivityResult(int requestCode, int resultCode, Intent data);
		void onResume();
		void backClick();
		void btnScannerClick();
		void uploadClick();
		void onItemClickLinstener(int position);
		void onItemLongClickListener(int position);
	}

}
